API Reference

Price Preview

2 endpoints· Auth: JWT or API Key
get/api/v1/console/pricing/live-promotions JWT API Key

Get live-promotions

Query parameters

ChannelId
string (uuid)
—
GrossTotal
integer (int64)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/pricing/live-promotions" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/pricing/preview JWT API Key

Create preview

Request body

application/json
{
  "channelId": "00000000-0000-0000-0000-000000000000",
  "lines": [
    {
      "productId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "modifierOptionIds": [
        "00000000-0000-0000-0000-000000000000"
      ],
      "manualDiscountIqd": 0
    }
  ],
  "promotionId": "00000000-0000-0000-0000-000000000000",
  "manualDiscountIqd": 0
}
channelId
string (uuid)
—
lines
PricePreviewLineRequest[]
—
promotionId
string (uuid)
—
manualDiscountIqd
integer (int64)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pricing/preview" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "channelId": "00000000-0000-0000-0000-000000000000",
  "lines": [
    {
      "productId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "modifierOptionIds": [
        "00000000-0000-0000-0000-000000000000"
      ],
      "manualDiscountIqd": 0
    }
  ],
  "promotionId": "00000000-0000-0000-0000-000000000000",
  "manualDiscountIqd": 0
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu